# Module: aws
# Docs: https://www.elastic.co/guide/en/beats/metricbeat/7.9/metricbeat-module-aws.html
- module: aws
  period: 5m
  metricsets:
    - ec2
    - ebs
    - rds
    - elb
  access_key_id: '{{ access_key }}'
  secret_access_key: '{{ secret_key }}'
  default_region: '{{ region }}'

- module: aws
  period: 5m
  metricsets:
   - cloudwatch
  metrics:
   - namespace: AWS/ElastiCache
     name: CPUUtilization
     statistic: ["Average"]
   - namespace: AWS/ElastiCache
     name: CurrConfig
     statistic: ["Sum"]
   - namespace: AWS/ElastiCache
     name: Evictions
     statistic: ["Average"]
   - namespace: AWS/ElastiCache
     name: FreeableMemory
     statistic: ["Average"]
   - namespace: AWS/ElastiCache
     name: UnusedMemory
     statistic: ["Average"]
   - namespace: AWS/ElastiCache
     name: SwapUsage
     statistic: ["Average"]

  access_key_id: '{{ access_key }}'
  secret_access_key: '{{ secret_key }}'
  default_region: '{{ region }}'






